Bugs / Problems

Error when querying with census tract blocks

Hi,

I'm trying to run the following query:

http://api.census.gov/data/2010/acs5?key=[key]&get=B00001_001E&for=block:2001&in=state:04+county:015+tract:954900

I get the error message, "There was an error while running your query. We've logged the error and we'll correct it ASAP. Sorry for the inconvenience."

If I run the same query but just use the census tract, it works, but if possible I would like to be able to be as specific as the tract blocks. Is there any workaround for this/will it be fixed soon?

Tags

Submitted by

Stage: Active

Feedback Score

2 votes
2 up votes
0 down votes
Idea#22

Idea Details

Vote Activity

  1. Upvoted
  2. Upvoted

Similar Ideas [ 4 ]

Events

  1. The idea was posted

Comments

  1. Comment
    Jan Vink

    There is no data on blocks in the ACS; the lowest level of geography for the 5-year ACS is block group. Maybe the error message could be improved the user that this is an invalid geography and not an error that needs fixing by the Census Bureau.

  2. Comment
    Phillip Thomas

    Indeed, as a side note, using the Summary File 1 data does go down to the block level, and might have the data you are looking for.

  3. Comment
    Community Member

    since there are a myriad of these types of errors, it might be preferred that Census not spend resources on bullet proofing. Maybe better to focus on issues such as expanding the scope of subject matter tables/items, adding datasets, being ready for ACS 2011, and extending geocode wildcarding. just some thoughts.

    Comments on this comment

    1. Comment
      Phillip Thomas

      Bullet proofing is all we can do here, most of what you are asking needs to be changed by the data owners themselves, and cannot be altered by the API developers.

      I have however added a suggestion for geographic wildcard expansion.

Add your comment